import { BrowserRouter as Router, Route, Switch } from 'react-router-dom';
import React, { Suspense, lazy } from 'react';

const Home = lazy(() => import('./Home'));
const About = lazy(() => import('./About'));
const Notfound = lazy(() => import('./notfound'));


class App extends React.Component {
    render() {
        return (
            <Router>
                <Suspense fallback={<div>Loading...</div>}>
                    <Switch>
                        <Route exact path="/" component={Home}/>
                        <Route path="/About" component={About}/>

                        <Route component={Notfound} />
                    </Switch>
                </Suspense>
            </Router>
        );
    }
}

export default App;
